package com.judong.chuanyiserver.annotation;

import com.judong.chuanyiserver.enums.ModelEnum;
import com.judong.chuanyiserver.enums.OperationEnum;
import com.judong.chuanyiserver.enums.ServerEnum;

import java.lang.annotation.*;

/**
 * 系统全局日志注解
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface WebLog {

    ServerEnum ServerEnum() default ServerEnum.UNKNOWN;

    ModelEnum ModelEnum() default ModelEnum.UNKNOWN;

    OperationEnum OperationEnum() default OperationEnum.UNKNOWN;
}
